<?php

/**
 * Field handler to display a transaction message with variable replacement.
 */
class commerce_directdebit_handler_field_debit_date extends views_handler_field {
  function init(&$view, &$options) {
    parent::init($view, $options);

    $this->additional_fields['message_variables'] = 'message_variables';
  }

  function render($values) {
    $variables = $this->get_value($values, 'message_variables');
    $variables = unserialize($variables);

    return !empty($variables['@debit_date'])? check_plain($variables['@debit_date']) : '';
  }

  function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }

}
