<?php 

/**
 * Checkout pane callback: returns the Direct Debit values for the review checkout pane.
 *   
 */
function commerce_directdebit_pane_review($form, $form_state, $checkout_pane, $order) {
  $data = $order->data['commerce_directdebit'];

  $content['account_name'] = array(
    '#type' => 'item', 
    '#title' => t('Name of account holder:'), 
    '#markup' => check_plain($data['account_name']),
  );

  $content['sort_code'] = array(
    '#type' => 'item', 
    '#title' => t('Bank sort code:'), 
    '#markup' => check_plain($data['sort_code']),
  );

  $content['account_number'] = array(
    '#type' => 'item', 
    '#title' => t('Bank account number:'), 
    '#markup' => check_plain($data['account_number']),
  );

  $content['debit_date'] = array(
    '#type' => 'item', 
    '#title' => t('We will process the Direct Debit on:'), 
    '#markup' => check_plain($data['debit_date']) .t(' of the month'),
  );

  return drupal_render($content);
}